package cmm.service;

import java.util.ArrayList;
import java.util.List;

import cmm.util.CmmUtil;
import cmm.util.CmmVO;


/**  
 * @Class Name : CmmPmsMapContentsVO.java
 * @author ecplaza 
 * @since 2018-06-26
 * @version 1.0
 */
@SuppressWarnings("serial")
public class CmmPmsMapContentsVO extends CmmVO {
		
	private String id = "";
	private String contentType = "";
	private String contentId = "";
	private String contentTypeId = "";
	private String contentTypeName = "";
	private String copyright = "";
	private String title = "";
	private String summary = "";
	private String mainImage = "";
	private String linkData = "";
	private String latitude = "";
	private String longitude = "";
	private String sidoName = "";
	private String sigunguName = "";
	private String cat1 = "";
	private String cat1Name = "";
	private String cat2 = "";
	private String cat2Name = "";
	private String cat3 = "";
	private String cat3Name = "";
	private String zipCode = "";
	private String tel = "";
	private String firstTopic = "";
	private String secondTopic = "";
	private String firstClass = "";
	private String secondClass = "";
	private String age = "";
	private String genyear = "";
	private String chronologicalStart = "";
	private String chronologicalEnd = "";
	private String themeCd = "";
	private String themeNm = "";
	private String seriesCd = "";
	private String seriesNm = "";
	private String firstCategory = "";
	private String firstCategoryNm = "";
	private String secondCategory = "";
	private String secondCategoryNm = "";
	private String interfaceId = "";
	private String recommendYn = "";
	private String tagsName = "";
	private String addr1 = "";
	private String addr2 = "";
	private String ntceBgnde = "";
	private String ntceEndde = "";
	private String website = "";
	private String createdAt = "";
	private String updatedAt = "";
	private String councilCd = "";
	private String councilNm = "";
	private String councilCnt = "0";
	
	
	// 문화원 정보 목록
	List <CmmCouncilInfoVO> cmmCouncilInfoList  = null;
	
	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getContentType() {
		return contentType;
	}

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public String getContentId() {
		return contentId;
	}

	public void setContentId(String contentId) {
		this.contentId = contentId;
	}

	public String getContentTypeId() {
		return contentTypeId;
	}

	public void setContentTypeId(String contentTypeId) {
		this.contentTypeId = contentTypeId;
	}

	public String getContentTypeName() {
		return contentTypeName;
	}

	public void setContentTypeName(String contentTypeName) {
		this.contentTypeName = contentTypeName;
	}
	
	public String getCopyright() {
		return copyright;
	}

	public void setCopyright(String copyright) {
		this.copyright = copyright;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}

	public String getMainImage() {
		return mainImage;
	}

	public void setMainImage(String mainImage) {
		this.mainImage = mainImage;
	}

	public String getLinkData() {
		return linkData;
	}

	public void setLinkData(String linkData) {
		this.linkData = linkData;
	}

	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String getSidoName() {
		return sidoName;
	}

	public void setSidoName(String sidoName) {
		this.sidoName = sidoName;
	}

	public String getSigunguName() {
		return sigunguName;
	}

	public void setSigunguName(String sigunguName) {
		this.sigunguName = sigunguName;
	}

	public String getCat1() {
		return cat1;
	}

	public void setCat1(String cat1) {
		this.cat1 = cat1;
	}

	public String getCat1Name() {
		return cat1Name;
	}

	public void setCat1Name(String cat1Name) {
		this.cat1Name = cat1Name;
	}

	public String getCat2() {
		return cat2;
	}

	public void setCat2(String cat2) {
		this.cat2 = cat2;
	}

	public String getCat2Name() {
		return cat2Name;
	}

	public void setCat2Name(String cat2Name) {
		this.cat2Name = cat2Name;
	}

	public String getCat3() {
		return cat3;
	}

	public void setCat3(String cat3) {
		this.cat3 = cat3;
	}

	public String getCat3Name() {
		return cat3Name;
	}

	public void setCat3Name(String cat3Name) {
		this.cat3Name = cat3Name;
	}

	public String getZipCode() {
		return zipCode;
	}

	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}

	public String getTel() {
		return tel;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	public String getFirstTopic() {
		return firstTopic;
	}

	public void setFirstTopic(String firstTopic) {
		this.firstTopic = firstTopic;
	}

	public String getSecondTopic() {
		return secondTopic;
	}

	public void setSecondTopic(String secondTopic) {
		this.secondTopic = secondTopic;
	}

	public String getFirstClass() {
		return firstClass;
	}

	public void setFirstClass(String firstClass) {
		this.firstClass = firstClass;
	}

	public String getSecondClass() {
		return secondClass;
	}

	public void setSecondClass(String secondClass) {
		this.secondClass = secondClass;
	}

	public String getAge() {
		return age;
	}

	public void setAge(String age) {
		this.age = age;
	}

	public String getGenyear() {
		return genyear;
	}

	public void setGenyear(String genyear) {
		this.genyear = genyear;
	}

	public String getChronologicalStart() {
		return chronologicalStart;
	}

	public void setChronologicalStart(String chronologicalStart) {
		this.chronologicalStart = chronologicalStart;
	}

	public String getChronologicalEnd() {
		return chronologicalEnd;
	}

	public void setChronologicalEnd(String chronologicalEnd) {
		this.chronologicalEnd = chronologicalEnd;
	}

	public String getThemeCd() {
		return themeCd;
	}

	public void setThemeCd(String themeCd) {
		this.themeCd = themeCd;
	}

	public String getThemeNm() {
		return themeNm;
	}

	public void setThemeNm(String themeNm) {
		this.themeNm = themeNm;
	}

	public String getSeriesCd() {
		return seriesCd;
	}

	public void setSeriesCd(String seriesCd) {
		this.seriesCd = seriesCd;
	}

	public String getSeriesNm() {
		return seriesNm;
	}

	public void setSeriesNm(String seriesNm) {
		this.seriesNm = seriesNm;
	}

	public String getFirstCategory() {
		return firstCategory;
	}

	public void setFirstCategory(String firstCategory) {
		this.firstCategory = firstCategory;
	}

	public String getFirstCategoryNm() {
		return firstCategoryNm;
	}

	public void setFirstCategoryNm(String firstCategoryNm) {
		this.firstCategoryNm = firstCategoryNm;
	}

	public String getSecondCategory() {
		return secondCategory;
	}

	public void setSecondCategory(String secondCategory) {
		this.secondCategory = secondCategory;
	}

	public String getSecondCategoryNm() {
		return secondCategoryNm;
	}

	public void setSecondCategoryNm(String secondCategoryNm) {
		this.secondCategoryNm = secondCategoryNm;
	}

	public String getInterfaceId() {
		return interfaceId;
	}

	public void setInterfaceId(String interfaceId) {
		this.interfaceId = interfaceId;
	}

	public String getRecommendYn() {
		return recommendYn;
	}

	public void setRecommendYn(String recommendYn) {
		this.recommendYn = recommendYn;
	}

	public String getTagsName() {
		return tagsName;
	}

	public void setTagsName(String tagsName) {
		this.tagsName = tagsName;
	}

	public String getAddr1() {
		return addr1;
	}

	public void setAddr1(String addr1) {
		this.addr1 = addr1;
	}

	public String getAddr2() {
		return addr2;
	}

	public void setAddr2(String addr2) {
		this.addr2 = addr2;
	}

	public String getNtceBgnde() {
		return ntceBgnde;
	}

	public void setNtceBgnde(String ntceBgnde) {
		this.ntceBgnde = ntceBgnde;
	}

	public String getNtceEndde() {
		return ntceEndde;
	}

	public void setNtceEndde(String ntceEndde) {
		this.ntceEndde = ntceEndde;
	}

	public String getWebsite() {
		return website;
	}

	public void setWebsite(String website) {
		this.website = website;
	}

	public String getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(String createdAt) {
		this.createdAt = createdAt;
	}

	public String getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(String updatedAt) {
		this.updatedAt = updatedAt;
	}
	
	public String getCouncilCd() {
		return councilCd;
	}

	public void setCouncilCd(String councilCd) {
		this.councilCd = councilCd;
	}

	public String getCouncilNm() {
		return councilNm;
	}

	public void setCouncilNm(String councilNm) {
		this.councilNm = councilNm;
	}

	public String getCouncilCnt() {
		return councilCnt;
	}

	public void setCouncilCnt(String councilCnt) {
		this.councilCnt = councilCnt;
	}

	
	public List<CmmCouncilInfoVO> getCmmCouncilInfoList() {
		List<CmmCouncilInfoVO> ret = null;
		if(this.cmmCouncilInfoList != null){
			ret = new ArrayList<CmmCouncilInfoVO>(); 
			ret = this.cmmCouncilInfoList;
		}
		return ret;
	}

	public void setCmmCouncilInfoList(List<CmmCouncilInfoVO> cmmCouncilInfoList) {
		this.cmmCouncilInfoList = new ArrayList<CmmCouncilInfoVO> (cmmCouncilInfoList.size()); 
		for(int i=0; i<cmmCouncilInfoList.size(); ++i) {
			this.cmmCouncilInfoList.add(i, cmmCouncilInfoList.get(i)); 
		}
	}

	/**
	 * toString()
	 * @return String
	 */
    public String toString() {
    	return CmmUtil.reflectionToString(this);
    }
}
